%define url_ver %(echo %{version}|cut -d. -f1,2)

%define __provides_exclude_from %{_libdir}/caja/extensions-2.0/.*\\.so

Name:           python-caja
Version:        1.28.0
Release:        %mkrel 1
Summary:        Python bindings for Caja
License:        GPLv2+ and LGPLv2+
Group:          Graphical desktop/MATE
URL:            https://github.com/mate-desktop/python-caja
Source0:        https://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  mate-common
BuildRequires:  libtool
BuildRequires:  python3-devel
BuildRequires:  pkgconfig(pygobject-3.0)
BuildRequires:  pkgconfig(libcaja-extension) >= %{version}

%description
This package contains bindings to write Caja extensions with Python.
It allows writing menu, property pages and column providers extensions,
so that Caja' s functionality can be easily extended.

%package -n python3-caja
Summary:        Python bindings for Caja
Group:          Graphical desktop/MATE
%{?python_provide:%python_provide python3-caja}
Obsoletes:      python-caja
Provides:       python-caja = %{version}-%{release}
Provides:       caja-python = %{version}-%{release}

%description -n python3-caja
This package contains bindings to write Caja extensions with Python.
It allows writing menu, property pages and column providers extensions,
so that Caja' s functionality can be easily extended.

%prep
%setup -q

# build with python3
sed -i -e '/AM_PATH_PYTHON/s/[0-9]\.[0-9]/%{python3_version}/' configure.ac
sed -i -e '1s@#!/usr/bin.*python[2,3]\?@#!%{__python3}@' $(grep -r -l '#!/usr/bin.*python')

%build
autoreconf -vfi
%configure2_5x --disable-static

%make_build

%install
rm -rf %buildroot
%make_install

find %{buildroot} -name "*.la" -delete

mkdir -p %{buildroot}%{_datadir}/caja-python/extensions

# handle docs in files section
rm -f %{buildroot}%{_docdir}/python-caja/README

%find_lang %{name}

%files -n python3-caja -f %{name}.lang
%doc %{_docdir}/python-caja/examples/*.py
%{_libdir}/caja/extensions-2.0/libcaja-python.so
%dir %{_datadir}/caja-python/
%dir %{_datadir}/caja-python/extensions/
%{_datadir}/caja/extensions/libcaja-python.caja-extension
%{_libdir}/pkgconfig/caja-python.pc


%changelog
* Fri Feb 23 2024 tex - 1.28.0-1pclos2024
- new version

* Tue Aug 02 2022 tex - 1.26.0-2pclos2022
- rebuild against updates

* Mon Aug 09 2021 tex - 1.26.0-1pclos2021
- new version

* Sat Feb 15 2020 tex - 1.24.0-1pclos2020
- 1.24.0
